# Instructions
Here you can find everything you need to repeat our experiments. The code was tested only on Ubuntu 18.04.

The extended PCTs were implemented in the `CLUS` framework. Our extension is included in this archive (`clus.jar`). The original version of `CLUS`, including a manual for its use, can be found [here](http://source.ijs.si/ktclus/clus-public/tree/master/).

To run the experiments you need to execute the `run.sh` script. It will take a long time to finish, depending on the hardware. 

After executing the script you can find the results in the `experiments` folder, including the plots that are  presented in the paper.


## Dependencies
To run the experiments and analyze the results you need a python3 environment with the following packages installed:

* numpy
* pytorch
* matplotlib
* seaborn
* pandas

You also need java runtime environment version 8 or higher to run `CLUS`.
