
class Dataset:

    def __init__(self, name=None, num_attributes=None, num_keys=None, num_labels=None,
                 hierarchy_type=None, path=None):
        self.name = name
        self.num_attributes = num_attributes
        self.num_keys = num_keys
        self.num_labels = num_labels
        self.hierarchy_type = hierarchy_type
        self.path = path #relative to the /data folder


vens_datasets = [
    Dataset(name='cellcycle', num_attributes=77, num_labels=4125, num_keys=0, hierarchy_type='DAG', path='Vens/cellcycle_GO/cellcycle_GO'),
    Dataset(name='eisen', num_attributes=79, num_labels=3573, num_keys=0, hierarchy_type='DAG', path='Vens/eisen_GO/eisen_GO'),
    Dataset(name='gasch1', num_attributes=173, num_labels=4125, num_keys=0, hierarchy_type='DAG', path='Vens/gasch1_GO/gasch1_GO'),
    Dataset(name='gasch2', num_attributes=52, num_labels=4131, num_keys=0, hierarchy_type='DAG', path='Vens/gasch2_GO/gasch2_GO'),
    Dataset(name='seq', num_attributes=478, num_labels=4133, num_keys=0, hierarchy_type='DAG', path='Vens/seq_GO/seq_GO'),
    Dataset(name='spo', num_attributes=80, num_labels=4119, num_keys=0, hierarchy_type='DAG', path='Vens/spo_GO/spo_GO'),
    Dataset(name='expr', num_attributes=551, num_labels=4131, num_keys=0, hierarchy_type='DAG', path='Vens/expr_GO/expr_GO'),
    Dataset(name='struc', num_attributes=19628, num_labels=4132, num_keys=0, hierarchy_type='DAG', path='Vens/struc_GO/struc_GO'),
    Dataset(name='hom', num_attributes=47034, num_labels=4126, num_keys=0, hierarchy_type='DAG', path='Vens/hom_GO/hom_GO'),
]
